#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.9.0.0
visibility:           public
id:                   ghcide-1.9.0.0-HqUXHa8fkhF5qFJ71Fmy3p
key:                  ghcide-1.9.0.0-HqUXHa8fkhF5qFJ71Fmy3p
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  de3b2d3d7075d755dfe6442964682462
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.0.2/site-local/ghcide-1.9.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/ghcide-1.9.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.9.0.0-HqUXHa8fkhF5qFJ71Fmy3p
depends:
    Diff-0.4.1-CP69JAyiCI9KsFI0hU3eD4
    Glob-0.10.2-2N71RAB6BkXISnZj9vsTxz
    aeson-2.1.2.0-6VydXJBWxd89BBQXwjEfAs
    aeson-pretty-0.8.9-Bk4G9o3wCA0A6bmnyD2In3 array-0.5.4.0
    async-2.2.4-17F2m0fMLmE9RexONjnSWz base-4.15.1.0
    base16-bytestring-1.0.2.0-CRFknqkYfvs9LIz7x6ejLS binary-0.8.8.0
    bytestring-0.10.12.1
    case-insensitive-1.2.1.0-3tWIs3IsQnw8bOtIxY7AE8
    co-log-core-0.3.2.0-7HwiJlBkn2lFgmIGASa0s2 containers-0.6.4.1
    cryptohash-sha1-0.11.101.0-7ZpiZaKH8P08aAO8J4E50I
    data-default-0.7.1.1-BkZarJ3J3008hHF2JOuYeW deepseq-1.4.5.0
    dependent-map-0.4.0.0-IgStIwgABOb88Rwpke3VXi
    dependent-sum-0.7.2.0-4JnKZV2KxML90XzeSSeGDE directory-1.3.6.2
    dlist-1.0-ImNlUre2rHgIkuGbqNQCOO
    enummapset-0.7.1.0-E0hGU0myeIz3sDxIZ485AX exceptions-0.10.4
    extra-1.7.13-IvNouhH9Z8S2nWJNdKBOVB filepath-1.4.2.1
    fingertree-0.1.5.0-9A6hKApZ6EeCP6INW2Z15o
    focus-1.0.3.1-9BbETKeosDQ2sZunTGiuuz ghc-9.0.2 ghc-boot-9.0.2
    ghc-boot-th-9.0.2 ghc-check-0.5.0.8-9jHtPYXdt4oLj0f4bVedjA
    ghc-paths-0.1.0.12-7fRPaqGgnC488dNzs2elDi
    ghc-trace-events-0.1.2.6-J2i3ZJHv7lYxWrGYKXh9u
    haddock-library-1.10.0-Dee5gyntU0K26CPqWpVw7M
    hashable-1.4.2.0-FGfJ6SPjJOQC6UzILfUyUL
    hie-bios-0.11.0-AfmuW9h80xVGPCIOsieBTc
    hie-compat-0.3.0.0-HtRpwVRm0jbBmBGDkwMYdm
    hiedb-0.4.2.0-BTbNt0ynGOKeL8psyzrBW
    hls-graph-1.9.0.0-91vAhSXyhQW6BlVczalnAu
    hls-plugin-api-1.6.0.0-ILbse0laGtEGiTi3hbXN7F
    hslogger-1.3.1.0-8Gv0Hd8nPoID0q8kzZqZsr
    implicit-hie-0.1.2.7-BezmyGSK3vlH1vu1u55Q8M
    implicit-hie-cradle-0.3.0.5-ImRBEiwfhbCGH2xWIpD8s2
    lens-5.2.2-JomSPqqD8KEH2iXqQwwoqg
    list-t-1.0.5.4-Jr1Zvwexa7L8E6uEopvtVm
    lsp-1.6.0.0-CHIZoQQwVMJIMH2gKiMqQ5
    lsp-types-1.6.0.0-4BBPSoqm9r6EpPiw6nNPoG mtl-2.2.2
    opentelemetry-0.8.0-1jgiZH3Gu4b3M8QTAsKDnF
    optparse-applicative-0.17.0.0-8lW6r0BM3spDpBWlvE7jOi
    parallel-3.2.2.0-D2aleEa2VnPBr164BdKnms
    prettyprinter-1.7.1-J2txb0eJgQwBD6xAeIn2Ns
    prettyprinter-ansi-terminal-1.1.3-sLxKn5PmgGL4YSwtLcMNW
    random-1.2.1.1-8erLhCi2BjJFOfZWbNb3er
    regex-tdfa-1.3.2-EHbwUs46b664QC8m3aupGk
    safe-exceptions-0.1.7.3-COkj4k0dSxAKpXlpFBcrEV
    sorted-list-0.2.1.0-6jcghXYTAOG6xcHgKgM12R
    sqlite-simple-0.4.18.2-DHCe0ev4AvzAQzHxO97LIE stm-2.5.0.0
    stm-containers-1.2-BPPQffSqBQP5hC61CWQYcw
    syb-0.7.2.3-5303VnpJbP5DuVbg2vhM5y text-1.2.5.0
    text-rope-0.2-HatDpVUj85XEfAnUDzAWdu time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.24.0-DJl3lcFctZ95JMot08EQZi
    unliftio-core-0.2.1.0-AJ3ipHGgln87h2Y2hfrpJj
    unordered-containers-0.2.19.1-IiLQZF6DbPQFjcFD1585i8
    vector-0.13.0.0-Ig05MaAMeBqj8G3IIQCIl

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

